Skip to main content
GET
/
payment
/
api
/
v1
/
custody-wallet
/
{custody_wallet_id}
Get Custody Wallet
curl --request GET \
  --url https://api.carbnconnect.com/payment/api/v1/custody-wallet/{custody_wallet_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.carbnconnect.com/payment/api/v1/custody-wallet/{custody_wallet_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.carbnconnect.com/payment/api/v1/custody-wallet/{custody_wallet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "c10dad79-4bd8-47f4-933e-4f197c5af680",
  "crypto": "<string>",
  "balances": [
    {
      "balance": 0,
      "crypto": "usdc",
      "contract_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"
    }
  ],
  "blockchain": "solana",
  "status": "ACTIVE",
  "user_id": "810b82b7-bd72-48c2-980f-0887fe20f08e",
  "wallet_address": "GZFGBcapshUdpDjPLAjP7qnAu11w1JwzEuwEvBqWTfnT",
  "customer_wallet_ref": "ee030180-d114-4545-a4bb-133241edf1b1"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Must be included in the x-api-key header.

Path Parameters

custody_wallet_id
string<uuid>
required

The unique identifier of the custody wallet

Response

Custody wallet details retrieved successfully

id
string<uuid>

Unique identifier of the custody wallet

Example:

"c10dad79-4bd8-47f4-933e-4f197c5af680"

crypto
string | null

Primary crypto (null when not set; used in create response)

balances
object[] | null

Token balances (null on create; populated on get)

blockchain
string

Blockchain network

Example:

"solana"

status
string

Wallet status

Example:

"ACTIVE"

user_id
string<uuid>

User who owns the custody wallet

Example:

"810b82b7-bd72-48c2-980f-0887fe20f08e"

wallet_address
string

On-chain wallet address

Example:

"GZFGBcapshUdpDjPLAjP7qnAu11w1JwzEuwEvBqWTfnT"

customer_wallet_ref
string<uuid>

Customer-provided wallet reference identifier

Example:

"ee030180-d114-4545-a4bb-133241edf1b1"